TypeScript
import { Configuration, BillingApi } from "@zippendo/sdk"
const api = new BillingApi(new Configuration({ accessToken: process.env.ZIPPENDO_API_TOKEN }))
const result = await api.getBillingUsage({ orgId: "..." })import os
import zippendo
config = zippendo.Configuration(access_token=os.environ["ZIPPENDO_API_TOKEN"])
with zippendo.ApiClient(config) as client:
result = zippendo.BillingApi(client).get_billing_usage("...")<?php
$config = Zippendo\Sdk\Configuration::getDefaultConfiguration()->setAccessToken(getenv("ZIPPENDO_API_TOKEN"));
$api = new Zippendo\Sdk\Api\BillingApi(new GuzzleHttp\Client(), $config);
$result = $api->getBillingUsage("...");client := zippendo.NewAPIClient(zippendo.NewConfiguration())
ctx := context.WithValue(context.Background(), zippendo.ContextAccessToken, os.Getenv("ZIPPENDO_API_TOKEN"))
result, _, err := client.BillingAPI.GetBillingUsage(ctx, "...").Execute()require "zippendo"
Zippendo.configure { |c| c.access_token = ENV["ZIPPENDO_API_TOKEN"] }
result = Zippendo::BillingApi.new.get_billing_usage("...")curl --request GET \
--url https://api.zippendo.com/orgs/{orgId}/billing/usage \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zippendo.com/orgs/{orgId}/billing/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.zippendo.com/orgs/{orgId}/billing/usage")
.header("Authorization", "Bearer <token>")
.asString();{
"currentPeriod": {
"start": "2026-06-01T00:00:00.000Z",
"end": "2026-07-01T00:00:00.000Z"
},
"shipments": {
"used": 1240,
"included": 1000,
"overage": 240,
"overageCharges": 36000
},
"limits": {
"teamMembers": {
"used": 3,
"limit": 5
},
"carriers": {
"used": 3,
"limit": 5
},
"orderChannels": {
"used": 3,
"limit": 5
},
"shippingRules": {
"used": 3,
"limit": 5
},
"addresses": {
"used": 3,
"limit": 5
},
"apiTokens": {
"used": 3,
"limit": 5
},
"automations": {
"used": 3,
"limit": 5
}
},
"addOns": [],
"zippyCredits": {
"used": 2640,
"included": 2500,
"billed": 140,
"charges": 1000,
"limit": -1
}
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}Billing
Get usage
Get detailed usage statistics for the current billing period.
GET
/
orgs
/
{orgId}
/
billing
/
usage
TypeScript
import { Configuration, BillingApi } from "@zippendo/sdk"
const api = new BillingApi(new Configuration({ accessToken: process.env.ZIPPENDO_API_TOKEN }))
const result = await api.getBillingUsage({ orgId: "..." })import os
import zippendo
config = zippendo.Configuration(access_token=os.environ["ZIPPENDO_API_TOKEN"])
with zippendo.ApiClient(config) as client:
result = zippendo.BillingApi(client).get_billing_usage("...")<?php
$config = Zippendo\Sdk\Configuration::getDefaultConfiguration()->setAccessToken(getenv("ZIPPENDO_API_TOKEN"));
$api = new Zippendo\Sdk\Api\BillingApi(new GuzzleHttp\Client(), $config);
$result = $api->getBillingUsage("...");client := zippendo.NewAPIClient(zippendo.NewConfiguration())
ctx := context.WithValue(context.Background(), zippendo.ContextAccessToken, os.Getenv("ZIPPENDO_API_TOKEN"))
result, _, err := client.BillingAPI.GetBillingUsage(ctx, "...").Execute()require "zippendo"
Zippendo.configure { |c| c.access_token = ENV["ZIPPENDO_API_TOKEN"] }
result = Zippendo::BillingApi.new.get_billing_usage("...")curl --request GET \
--url https://api.zippendo.com/orgs/{orgId}/billing/usage \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zippendo.com/orgs/{orgId}/billing/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.zippendo.com/orgs/{orgId}/billing/usage")
.header("Authorization", "Bearer <token>")
.asString();{
"currentPeriod": {
"start": "2026-06-01T00:00:00.000Z",
"end": "2026-07-01T00:00:00.000Z"
},
"shipments": {
"used": 1240,
"included": 1000,
"overage": 240,
"overageCharges": 36000
},
"limits": {
"teamMembers": {
"used": 3,
"limit": 5
},
"carriers": {
"used": 3,
"limit": 5
},
"orderChannels": {
"used": 3,
"limit": 5
},
"shippingRules": {
"used": 3,
"limit": 5
},
"addresses": {
"used": 3,
"limit": 5
},
"apiTokens": {
"used": 3,
"limit": 5
},
"automations": {
"used": 3,
"limit": 5
}
},
"addOns": [],
"zippyCredits": {
"used": 2640,
"included": 2500,
"billed": 140,
"charges": 1000,
"limit": -1
}
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}Authorizations
JWT access token or API token (prefixed with zipp_)
Path Parameters
Organization ID
Example:
"org_8f3kd92ld0"
Response
Default Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Active add-ons on the subscription
Show child attributes
Show child attributes
Example:
[]
Zippy credit usage this period (present when the Zippy add-on is enabled)
Show child attributes
Show child attributes
Example:
{
"used": 2640,
"included": 2500,
"billed": 140,
"charges": 1000,
"limit": -1
}
Was this page helpful?
⌘I